Subject: Re: [PATCH 2.6.0-test11] Net device error logging

From: Greg KH <[email-masked]>
Date: Sat, 6 Dec 2003 01:04:14 -0800

On Fri, Dec 05, 2003 at 03:03:36PM -0500, Jeff Garzik wrote:
> I discussed this a bit with David.  My personal feelings are that I 
> prefer just leaving all the printk's as they are.  But Linus and GregKH 
> have been accepting patches into other parts of the tree like this one, 
> and logging additional already-computer-parsed information is probably 
> not a bad thing long-term, so perhaps I've been being a bit of a Luddite 
> on this issue.

To be fair, the patches I've taken (dev_err and friends) are _much_
simpler than these, so accepting them was not that big of a deal.  It
enabled the subsystems that have started to use them (USB and I2C) to
log better messages (we now know exactly which device caused the errors,
instead of just which driver).

So please judge this patch on its own, and feel no pressure due to the
dev_*() calls :)

thanks,

greg k-h